ప్రమాణీకరణ
ఒక API కీని బేరర్ టోకెన్గా పంపండి. ఈ ఎండ్పాయింట్ స్పెసిఫికేషన్లో నిర్దిష్ట అనుమతిని పేర్కొనలేదు, కాబట్టి ఊహించడం కంటే మీ కీకి అవసరమైన కనిష్ట అనుమతిని ఇవ్వండి మరియు ప్రతిస్పందనను తనిఖీ చేయండి.
ఈ ఎండ్పాయింట్ ఎలాంటి సంస్థ ఐడీని తీసుకోదు. మీ కీ ఇప్పటికే అది ఏ సంస్థకు చెందుతుందో గుర్తిస్తుంది మరియు ప్రతిస్పందన దానికే పరిమితం చేయబడుతుంది.
ప్రయత్నించండి
కోణీయ బ్రాకెట్లలో ఉన్న దేన్నైనా మీ స్వంత విలువలతో భర్తీ చేయండి, మరియు కీ ప్లేస్హోల్డర్ను మీ డాష్బోర్డ్ నుండి తీసుకున్న కీతో భర్తీ చేయండి.
curl -X GET https://api.zinndigital.com/v1/mcp/connections/{connectionId} \
-H "Authorization: Bearer zdk_live_…"సైన్ ఇన్ చేశారా? మీ డ్యాష్బోర్డ్లోని API కాన్సోల్ మీ అసలైన సంస్థ ID మరియు మీ స్వంత కీని నింపుతుంది, అలాగే మీరు అసలైన ప్రతిస్పందనను చూడటానికి లైవ్ API ద్వారా ఆభ్యర్థనను రన్ చేస్తుంది. ఈ ఎండ్పాయింట్ను API కన్సోల్లో తెరిచండి
వివరాలు
Returns one non-revoked connection's metadata (never the token). RBAC + RLS scoped.
పారామీటర్లు
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
connectionId (path) | Uuid | అవును | The MCP connection's id. |
స్పందన
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
id | Uuid | అవును | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
name | string | అవును | — |
client | McpClient | అవును | The AI client a connection is for (informational). |
prefix | string | అవును | The token's public lookup prefix (not a secret). |
scopes | string[] | అవును | The RBAC permission keys this connection's token may exercise. |
sandbox | boolean | అవును | — |
spend_cap_minor | integer | null | కాదు | Optional per-window budget (integer minor units, CLAUDE.md §2.8) for AI-triggered paid actions. Null = no cap. |
spend_currency | CurrencyCode | కాదు | ISO 4217 currency code (money is minor units + this code — CLAUDE.md §2.8). |
spend_window_seconds | integer | అవును | The rolling window the spend cap applies over. |
last_used_at | string | null | కాదు | — |
revoked_at | string | null | కాదు | — |
created_at | string | అవును | — |
ఈ ఎండ్పాయింట్ తిరిగి ఇవ్వగల లోపాలు
401 · 403 · 404 · 429